package mac

// Syscall numbers are divided into classes, here we need the BSD inherited syscalls.
const SyscallClassUnix = 0x2000000

// https://github.com/apple-oss-distributions/xnu/blob/main/bsd/kern/syscalls.master
const (
	Exit  = 1 | SyscallClassUnix
	Write = 4 | SyscallClassUnix
)
